Her Girl Friday + Lenny Unconference / Editathon in NYC, 2017-01-28 - throttle rules
Closed, ResolvedPublic

Description

As part of Wikimedia New York City, we would like to request a temporary lift of the IP cap for SEE IP BELOW which is at ThoughtWorks in NYC, on this Saturday January 28, 2017, from 10:00 am – 5:00 pm Eastern Time.

I am needing to confirm this IP address. I should have confirmation within the next few hours. Apologies.... -- Erika - now confirmed, please see below.

Wikimedia NYC and others are assisting at this event, The event is being co-sponsored by the Lena Dunham publication Lenny Letter, who will be pushing editathon on social media, so there is a potential for up to 200 new accounts created.

https://en.wikipedia.org/wiki/Wikipedia:Meetup/NYC/2017-01_HGF_Lenny

We'd like the cap to be lifted on English Wikipedia and other projects if possible, since this might include multilingual editing.

BrillLyle edited the task description. (Show Details)Jan 25 2017, 5:00 PM
Urbanecm claimed this task.Jan 25 2017, 5:06 PM
Urbanecm added a subscriber: Urbanecm.

Which other projects exactly? I need to put all of them to the settings file. You will be able to edit everywhere, the lift is only for creation. So you'll create the account at English version then edit German one, it will work.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 25 2017, 5:06 PM
Urbanecm triaged this task as "High" priority.Jan 25 2017, 5:38 PM

Please confirm the IP very soon, I need to know all details before tomorrow 14:00 UTC when is the deploy window I'll use.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJan 25 2017, 5:38 PM

Change 334156 had a related patch set uploaded (by Urbanecm):
[throttle] Her Girl Friday Lenny Unconference / Editathon in NYC, Sat Jan 28

https://gerrit.wikimedia.org/r/334156

Aklapper changed the title from "Her Girl Friday + Lenny Unconference / Editathon in NYC, Sat Jan 28 - throttle rules" to "Her Girl Friday + Lenny Unconference / Editathon in NYC, 2017-01-28 - throttle rules".Jan 25 2017, 5:43 PM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jan 25 2017, 5:44 PM

@Urbanecm -- I will let you know the minute I get confirmation of their IP address. Very sorry I thought the reverse lookup thing would work but now I'm unsure. Thanks for letting me know the timeframe. This is helpful -- especially as we might have more large events coming up.

Thanks again!

– Erika

Change 334156 merged by jenkins-bot:
[throttle] Her Girl Friday Lenny Unconference / Editathon in NYC, 2017-01-28

https://gerrit.wikimedia.org/r/334156

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-01-26T14:28:50Z] <zfilipin@tin> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:334134|IP Cap Lift for Edit-a-Thon (T156258)]] [[gerrit:334156|[throttle] Her Girl Friday + Lenny Unconference / Editathon in NYC, 2017-01-28 (T156278)]] (duration: 00m 41s)

Urbanecm closed this task as "Resolved".Jan 26 2017, 3:21 PM

Done.

@Urbanecm -- How is this task closed? I am still trying to confirm the IP address.... Please advise.

The IP was listed in the task description (and hence included in the merged patch). Hence this task is resolved. If the IP changes, feel free to reopen.

Thank you Aklapper.

BrillLyle reopened this task as "Open".EditedJan 26 2017, 5:38 PM

I just got confirmation that the IP address for the event Saturday is 207.87.175.130 as well as 4.15.214.210

Re: language question apologies I copied the text from the UN Women event. It sounds like English is okay

BrillLyle edited the task description. (Show Details)Jan 26 2017, 10:55 PM

Change 334456 had a related patch set uploaded (by Dereckson):
Fix throttle rule for Her Girl Friday Lenny Unconference

https://gerrit.wikimedia.org/r/334456

Change 334456 merged by jenkins-bot:
Fix throttle rule for Her Girl Friday Lenny Unconference

https://gerrit.wikimedia.org/r/334456

Mentioned in SAL (#wikimedia-operations) [2017-01-27T00:32:14Z] <dereckson@tin> Synchronized wmf-config/throttle.php: Fix throttle rule for Her Girl Friday + Lenny Unconference (T156278) (duration: 00m 53s)

Dereckson closed this task as "Resolved".Jan 27 2017, 1:38 AM

I just got confirmation that the IP address for the event Saturday is 207.87.175.130 as well as 4.15.214.210

These IPs have been added to the configuration.

Re: language question apologies I copied the text from the UN Women event. It sounds like English is okay

Okay, throttle rule will work on en.wikipedia, as configured by @Urbanecm .